Loading...
Searching...
No Matches
RDKit::v2::CDXMLParser Namespace Reference

## Classes

struct | CDXMLParserParams

## Functions

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | MolsFromCDXMLDataStream (std::istream &inStream, const CDXMLParserParams &params=CDXMLParserParams())
| construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.
RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | MolsFromCDXMLFile (const std::string &filename, const CDXMLParserParams &params=CDXMLParserParams())
| construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.
RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | MolsFromCDXML (const std::string &cdxml, const CDXMLParserParams &params=CDXMLParserParams())
| construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.

## Function Documentation

## MolsFromCDXML()

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > RDKit::v2::CDXMLParser::MolsFromCDXML | ( | const std::string & | cdxml,
|  | const CDXMLParserParams & | params = `CDXMLParserParams()`
| ) |  |

construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.

Parameters

  cdxml | - string containing the mol block
  params | - parameters controlling the parsing and post-processing

## MolsFromCDXMLDataStream()

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > RDKit::v2::CDXMLParser::MolsFromCDXMLDataStream | ( | std::istream & | inStream,
|  | const CDXMLParserParams & | params = `CDXMLParserParams()`
| ) |  |

construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.

Parameters

  inStream | - string containing the mol block
  params | - parameters controlling the parsing and post-processing

## MolsFromCDXMLFile()

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > RDKit::v2::CDXMLParser::MolsFromCDXMLFile | ( | const std::string & | filename,
|  | const CDXMLParserParams & | params = `CDXMLParserParams()`
| ) |  |

construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.

Parameters

  fileName | - cdxml fileName
  params | - parameters controlling the parsing and post-processing